package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum CourseViewTypeEnum implements BaseEnum<Integer, CourseViewTypeEnum> {
//    COURSE_lIST(0, "课程详情", 2),
//    AMR(1, "器乐练习系统", 4),
//    CLOUD_TEACHER(2, "云教练收费", 4),
    COURSE_FEE(0, "课程收费", 2),
    MEMBER_FEE(1, "会员收费", 4);
//    CLOUD_TEACHER_PLUS(3, "云教练+收费", 5);

    private Integer code;

    private String msg;

    private Integer contractVersion;

    CourseViewTypeEnum(Integer code, String msg, Integer contractVersion) {
        this.code = code;
        this.msg = msg;
        this.contractVersion = contractVersion;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }

    public Integer getContractVersion() {
        return contractVersion;
    }

    public void setContractVersion(Integer contractVersion) {
        this.contractVersion = contractVersion;
    }
}
